Get should start should finish report pdf

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /projects/{projectId}/scenarios/{scenarioId}/should-start-finish-pdf

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • startDate string(date-time)
  • finishDate string(date-time)
  • filterId array[integer(int64)]
  • ganttStructure string

    Values are WBS, ACTIVITY_CODE, or NONE.

  • groupByCollapsedIds array[string]
  • groupByActivityCodeTypeIds array[integer(int64)]
  • sortColumn string

    Values are ACTIVITYID, NAME, STARTINGSTARTDATE, STARTINGFINISHDATE, STARTINGPERCENTCOMPLETE, STARTINGTOTALFLOAT, ENDINGSTARTDATE, ENDINGFINISHDATE, ENDINGPERCENTCOMPLETE, ENDINGTOTALFLOAT, VARIANCESTARTDATE, VARIANCEFINISHDATE, VARIANCEPERCENTCOMPLETE, or VARIANCETOTALFLOAT.

  • sortDirection string

    Values are ASC or DESC.

  • filterWindow boolean
  • filter array[string]

    Values are STARTED_ON_TIME, STARTED_LATE, DID_NOT_START, FINISHED_ON_TIME, FINISHED_LATE, DID_NOT_FINISH, SHOULD_HAVE_STARTED, or SHOULD_HAVE_FINISHED.

Responses

  • 200 */*

    OK

POST /projects/{projectId}/scenarios/{scenarioId}/should-start-finish-pdf
curl \
 --request POST 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/should-start-finish-pdf' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "startDate": "2026-05-04T09:42:00Z",
  "finishDate": "2026-05-04T09:42:00Z",
  "filterId": [
    42
  ],
  "ganttStructure": "WBS",
  "groupByCollapsedIds": [
    "string"
  ],
  "groupByActivityCodeTypeIds": [
    42
  ],
  "sortColumn": "ACTIVITYID",
  "sortDirection": "ASC",
  "filterWindow": true,
  "filter": [
    "STARTED_ON_TIME"
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "startDate": "2026-05-04T09:42:00Z",
  "finishDate": "2026-05-04T09:42:00Z",
  "filterId": [
    42
  ],
  "ganttStructure": "WBS",
  "groupByCollapsedIds": [
    "string"
  ],
  "groupByActivityCodeTypeIds": [
    42
  ],
  "sortColumn": "ACTIVITYID",
  "sortDirection": "ASC",
  "filterWindow": true,
  "filter": [
    "STARTED_ON_TIME"
  ]
}
Response examples (200)
42